Bug 816131 - Review Request: perl-CPS - CPS Perl module
Review Request: perl-CPS - CPS Perl module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Reopened
Depends On: 816130
Blocks: 815496
  Show dependency treegraph
 
Reported: 2012-04-25 06:29 EDT by Marcela Mašláňová
Modified: 2012-05-03 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 10:30:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2012-04-25 06:29:02 EDT
Description:
The functions in this module implement or assist the writing of
programs, or parts of them, in Continuation Passing Style (CPS).
Briefly, CPS is a style of writing code where the normal call/return
mechanism is replaced by explicit "continuations", values passed in to
functions which they should invoke, to implement return behaviour. For
more detail on CPS, see the SEE ALSO section.
SPEC: http://mmaslano.fedorapeople.org/review/perl-CPS.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-CPS-0.14-1.fc16.src.rpm
Comment 1 Petr Šabata 2012-04-27 09:24:39 EDT
Misclicked, reopening.
Comment 2 Petr Šabata 2012-05-03 04:17:04 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[!]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/816131/CPS-0.14.tar.gz :
  MD5SUM this package     : 24f2b31705d09a82c7a95f7cb8c6dc69
  MD5SUM upstream package : 24f2b31705d09a82c7a95f7cb8c6dc69
[!]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: The package is missing several BRs: perl(base), perl(Exporter),
  perl(Carp), and perl(Scalar::Util)
TODO; Remove the BuildRoot tag
TODO: Correct description to en_US spelling
TODO: Remove META.json from %doc

I'll approve the package once the above are fixed.

Generated by fedora-review 0.2.0git
External plugins:
Comment 3 Marcela Mašláňová 2012-05-03 04:37:22 EDT
Fixed.

I won't change upstream spelling, which is copied from their documentation.

http://mmaslano.fedorapeople.org/review/perl-CPS-0.14-2.fc16.src.rpm
Comment 4 Petr Šabata 2012-05-03 04:49:43 EDT
(In reply to comment #3)
> Fixed.
> 
> I won't change upstream spelling, which is copied from their documentation.

Please do.  I'm not asking you to change the the package files, just the RPM description.  There are guidelines stating we should use American English in SPEC files so please respect them.

> 
> http://mmaslano.fedorapeople.org/review/perl-CPS-0.14-2.fc16.src.rpm
Comment 5 Marcela Mašláňová 2012-05-03 07:03:32 EDT
Ok.

http://mmaslano.fedorapeople.org/review/perl-CPS-0.14-2.fc16.src.rpm
Comment 6 Petr Šabata 2012-05-03 07:58:42 EDT
Thank you.

Approving now.
Comment 7 Marcela Mašláňová 2012-05-03 08:45:10 EDT
New Package SCM Request
=======================
Package Name: perl-CPS
Short Description: CPS Perl module
Owners: mmaslano psabata ppisar jplesnik
Branches: 
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2012-05-03 09:14:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.